Atomically admits an Explicit start and schedules durable execution.
POST
/api/workspace/workflow/runtime/instances
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/workflow/runtime/instances"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"DefinitionId\": \"example\", \"SubjectObjectId\": \"example\", \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/workflow/runtime/instances';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"DefinitionId":"example","SubjectObjectId":"example","OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/workflow/runtime/instances \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "DefinitionId": "example", "SubjectObjectId": "example", "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
DefinitionId
string
SubjectObjectId
string
OperationId
string
Examplegenerated
{ "DefinitionId": "example", "SubjectObjectId": "example", "OperationId": "example"}object
DefinitionId
string
SubjectObjectId
string
OperationId
string
Examplegenerated
{ "DefinitionId": "example", "SubjectObjectId": "example", "OperationId": "example"}object
DefinitionId
string
SubjectObjectId
string
OperationId
string
Examplegenerated
{ "DefinitionId": "example", "SubjectObjectId": "example", "OperationId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
CommandId
string
WorkflowInstanceId
string
CommandStatus
integer format: int32
Replayed
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "CommandStatus": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}